code stringlengths 2 1.05M | repo_name stringlengths 5 110 | path stringlengths 3 922 | language stringclasses 1
value | license stringclasses 15
values | size int64 2 1.05M |
|---|---|---|---|---|---|
#!/bin/bash -x
set -o errexit # abort script at first error
function testPrintVersion() {
local tagname=$1
local branch=$BUILD_BRANCH
if [ "${branch}" = "master" ]; then
imagename=$tagname
else
imagename=$tagname-development
fi
docker run --rm blacklabelops/logrotate:$imagename logrotate --ver... | blacklabelops/logrotate | buildscripts/testImage.sh | Shell | mit | 348 |
#!/usr/bin/env bash
# source ./variables.sh
FILE_WALKER='git_walk' # no pun intended
SECTION_OPEN='section_open'
SECTION_CLOSE='section_close'
FILE_TYPE='CFG'
GIT_AWK='$2' # $1 for hash | $2 for unix timestamp
bootstrap() {
# Check output file type
case "${FILE_TYPE}" in
'CFG')
SECTION_OPEN='cfg_... | saikocat/assets-stamp | src/generators.sh | Shell | mit | 2,368 |
#!/bin/bash
python -m unittest discover -s tests -p *_test.py
| elliottcarlson/pptx-canvas | run_tests.sh | Shell | mit | 62 |
### ngrok
# https://ngrok.com
###
# vim: filetype=sh:tabstop=2:shiftwidth=2:expandtab
install_ngrok()
{
echo ""
hdr "Installing ngrok..."
echo ""
local install=0
if command_exists ngrok; then
if [ $(ngrok version | awk '{ print $3; exit }') == "$NGROK_VER" ]; then
warn "ngrok is already install... | pinterb/devtoolbox | misc/ngrok.sh | Shell | mit | 967 |
#!/bin/bash -u
# given one or more directories, generates hardlink suggestions automatically
# based on file size and a quick md5 hashes of a distributed data samples
if [[ $# -lt 1 ]]; then
echo "Usage: hardlink <dir> [dir...]"
exit 1
fi
ref=""
matches=""
sample_count=5
sample_size=1024
# because we're 0-indexed... | lunixbochs/meta | utils/hardlink/hardlink.sh | Shell | mit | 1,461 |
#!/bin/bash
multichain-cli $1 getnewaddress
| abhi608/shareCapital | multichain/chain_create_new_address.sh | Shell | mit | 44 |
pushd ../build
x86_64-w64-mingw32-g++ ../code/win32_handmade.cpp -luser32 -lgdi32 --std=c++11
popd
| dragonly/handmadehero | handmade/misc/build.sh | Shell | mit | 99 |
#!/bin/bash
set -e
nvm_has() {
type "$1" > /dev/null 2>&1
}
if [ -z "$NVM_DIR" ]; then
NVM_DIR="$HOME/.nvm"
fi
nvm_latest_version() {
echo "v0.24.1"
}
#
# Outputs the location to NVM depending on:
# * The availability of $NVM_SOURCE
# * The method used ("script" or "git" in the script, defaults to "git")
# N... | LeeLovCY/nvm | install.sh | Shell | mit | 6,841 |
#!/bin/sh
../bin/rshell < input_redirect_test.txt
| keithZmudzinski/MyProjects | RShell/tests/input_redirect_test.sh | Shell | mit | 50 |
alias convert_list_functions="convert -list" # list of all functions
alias convert_list="convert -list list" # list of all -list options
alias convert_list_channel="convert -list channel" # list of all image -channel options
alias convert_list_command="convert -list command" # l... | patbeagan1/libbeagan | aliases/alias_imagemagick.zsh | Shell | mit | 1,784 |
export X509_USER_CERT=/home/vagrant/.ssh/vagrant.crt
export X509_USER_KEY=/home/vagrant/.ssh/vagrant.key
gsissh -p 1975 cvmfs-upload01.gridpp.rl.ac.uk
| h2020-westlife-eu/west-life-wp6 | vmcontext/release-scripts/release-control.sh | Shell | mit | 152 |
# libjpeg-turbo may be provided by the system as static non-PIC library,
# so we build it from source instead.
ghdl chikuzen/vsimagereader
ghdl libjpeg-turbo/libjpeg-turbo
mkdir build
cd build
cmake .. -DCMAKE_C_FLAGS="$CFLAGS" -DENABLE_SHARED=OFF -DENABLE_STATIC=ON -DWITH_TURBOJPEG=ON -DWITH_JAVA=OFF
make -j$JOBS
c... | darealshinji/scripts | Hybrid/build-plugins/plugin-vsimagereader.sh | Shell | mit | 674 |
#!/usr/bin/env bash
icon="$HOME/.config/i3lock/icon.png"
tmpbg='/tmp/screen.png'
(( $# )) && { icon=$1; }
scrot "$tmpbg"
convert "$tmpbg" -scale 10% -scale 1000% "$tmpbg"
convert "$tmpbg" "$icon" -gravity center -composite -matte "$tmpbg"
i3lock -u -i "$tmpbg"
| rmagnelli/rmagnelli-projects | .config/i3lock/i3lock.sh | Shell | mit | 265 |
#! /bin/sh
exit 0
. ../../testenv.sh
for t in rom1 dpram1 dpram2 dpram3; do
analyze $t.vhdl tb_$t.vhdl
elab_simulate tb_$t
clean
synth $t.vhdl -e $t > syn_$t.vhdl
analyze syn_$t.vhdl tb_$t.vhdl
elab_simulate tb_$t --ieee-asserts=disable-at-0
clean
done
echo "Test successful"
| tgingold/ghdl | testsuite/synth/fsm03/testsuite.sh | Shell | gpl-2.0 | 308 |
#
# Copyright (c) 2012, Oracle and/or its affiliates. All rights reserved.
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
#
# This code is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 2 only, as
# published by the Free Software Foun... | karianna/jdk8_tl | jaxp/make/scripts/update_src.sh | Shell | gpl-2.0 | 2,866 |
#! /bin/sh -e
# tup - A file-based build system
#
# Copyright (C) 2011-2018 Mike Shal <marfey@gmail.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as
# published by the Free Software Foundation.
#
# This program is distribu... | jonatanolofsson/tup | test/t7049-autoparse.sh | Shell | gpl-2.0 | 1,081 |
#!/bin/bash
set -e
cd "$(dirname "${BASH_SOURCE[0]}")/../"
rm -r pyspark_venv pyspark_venv.tar.gz listenbrainz_spark_request_consumer.zip
python3 -m venv pyspark_venv
source pyspark_venv/bin/activate
pip install -r requirements_spark.txt
pip install venv-pack
venv-pack -o pyspark_venv.tar.gz
export PYSPARK_DRIVER_P... | metabrainz/listenbrainz-server | docker/start-spark-request-consumer.sh | Shell | gpl-2.0 | 1,211 |
#!/bin/bash
#
# Baseline script to build and install scipy stack via macports
#
# Copyright (C) 2012 Jason Wm. Mitchell (jason-github@maiar.org)
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation;... | gorticus/macports-scripts | scipy-tools.sh | Shell | gpl-2.0 | 2,834 |
#!/usr/bin/env bash
# ------------
#
# define variables to control the script
# ------------
SCRIPTDIRECTORY=$PWD
REP_BASE=${SCRIPTDIRECTORY}/..
VERSION=${REP_BASE}/deploy.local.additionalfiles/version.txt
CONFIG=${REP_BASE}/deploy.local.additionalfiles/config
DEPLOY_PREPARE=${SCRIPTDIRECTORY}/../../deploy.prepare... | swissbib/setupLocalSwissbib | bin/deploy.local.vf.swissbib.instance.sh | Shell | gpl-2.0 | 3,909 |
#!/usr/bin/env bash
set -e
TEST_DESCRIPTION="test analyze"
# shellcheck source=test/test-functions
. "${TEST_BASE_DIR:?}/test-functions"
do_test "$@"
| mxre/systemd | test/TEST-65-ANALYZE/test.sh | Shell | gpl-2.0 | 153 |
#!/usr/bin/env bash
cat /proc/sys/kernel/random/entropy_avail
| VVelox/librenms-agent | snmp/entropy.sh | Shell | gpl-2.0 | 62 |
#!/bin/sh
#
# Copyright (C) 2010-2013 OpenWrt.org
#
RAMIPS_BOARD_NAME=
RAMIPS_MODEL=
ramips_board_detect() {
local machine
local name
machine=$(awk 'BEGIN{FS="[ \t]+:[ \t]"} /machine/ {print $2}' /proc/cpuinfo)
case "$machine" in
*"7Links PX-4885")
name="px4885"
;;
*"8devices Carambola")
name="carambola... | xuejian1354/barrier_breaker | target/linux/ramips/base-files/lib/ramips.sh | Shell | gpl-2.0 | 5,164 |
#!/bin/sh
## Check whether all of the given libraries are installed.
## Returns 0 if all of the libs exist.
##
check_libs() {
LIBS="$@"
ERROR=0
for LIB in $LIBS; do
pkg-config --exists $LIB
if [ "$?" -ne "0" ]; then
echo "Error: $LIB required but not installed." >&2
echo "Please install the $L... | urbalazs/gip | installer/check_libs.sh | Shell | gpl-2.0 | 589 |
#!/bin/bash
# Note: In order to run BNF, run run_bnf.sh
. ./path.sh
. ./cmd.sh
set -e
set -o pipefail
set -u
. utils/parse_options.sh
bnf_train_stage=-100
align_dir=exp/tri4b_ali_si284
train_data_dir=data/train_si284
exp_dir=exp_bnf
bnf_exp_dir=$exp_dir/tri6_bnf
if [ ! -f $bnf_exp_dir/.done ]; then
mkdir -p $exp... | michellemorales/OpenMM | kaldi/egs/wsj/s5/local/run_bnf.sh | Shell | gpl-2.0 | 3,590 |
#!/bin/bash
out=(`mysql -NBu root -pmicroart map -e "SELECT * from data WHERE number=(SELECT MAX(number) from data)"`)
declare -A data_fields
declare -A alias
declare -A min
declare -A max
#here you have to define fields to check, min & max values, their aliases for mail, your email, items number.
#===============... | Osolemio/malina | usr/sbin/mail_compose.sh | Shell | gpl-2.0 | 2,456 |
#!/bin/bash
set -x
if [[ 1 == 0 ]] ; then
## compute the union and intersection of the L_DLPFC from the between-group results
cd ../data/Group.results
3dcalc -a clorder.fwhm4.2.mddAndCtrl.L_BLA.weight.3mm+tlrc.HEAD -expr "equals(a, 2)" -prefix L_DLPFC.fwhm4.2.mddAndCtrl.L_BLA.weight.3mm
3dcalc -a clorder.fwhm4.... | colmconn/rsfcGraphAnalysis | makeDlpfcMasks.sh | Shell | gpl-2.0 | 4,966 |
#!/bin/bash
top -c -p $(pgrep -d',' -f python)
| Starbase/FruityPiPy | goodies/sPylogger_proc.sh | Shell | gpl-2.0 | 49 |
#!/bin/sh
aclocal -I m4
libtoolize --force -c
automake --add-missing -c
autoconf
| yandex/NwSMTP | autogen.sh | Shell | gpl-2.0 | 81 |
#!/bin/sh
#
make
if [ $? -eq 0 ]; then
mkdir -p ./lib
cp pjlib/lib/libpj-arm-apple-darwin9.a ./lib/
cp pjlib-util/lib/libpjlib-util-arm-apple-darwin9.a ./lib/
cp pjnath/lib/libpjnath-arm-apple-darwin9.a ./lib/
cp pjnath/include/eice.h ./lib/
echo "library copied to ./lib/"
exit 0
else
echo "build fail !!!"
exit -1
fi
... | simon-fu/pjproject-adv | build-adv-pjauth.sh | Shell | gpl-2.0 | 322 |
#!/bin/sh
sudo /usr/bin/find / -name 'xdebug.so' 2> /dev/null | hkreuter/deve2015 | modules/apache2/files/find_my_xdebug.sh | Shell | gpl-2.0 | 61 |
#!/bin/sh
# Get value for $QEMU
. ../test.include
$QEMU/mips-linux-user/qemu-mips -cpu M14Kc ./ll.mips.fakeproc.stripped
| deater/ll_asm | binaries/qemu_test/micromips/test.sh | Shell | gpl-2.0 | 124 |
python solr_delete_scott_county.py
./OGP-metadata-py/ogp-mdt.py -s -o ../scott-county/_overrides.json ../scott-county same eod
| borchert/metadata-tracking | scripts/update_ogp_scott.sh | Shell | gpl-2.0 | 127 |
#!/bin/bash
_script="$(readlink -f ${BASH_SOURCE[0]})"
_base="$(dirname $_script)"
_reports="$_base/reports"
_export="/shares/share1/reports"
date="/usr/bin/date"
last="/usr/bin/last"
lastb="/usr/bin/lastb"
rawParser="$_base/RawLogParser.py"
csvParser="$_base/LogParser.py"
sLog="$_base/success.log"
fLog="$_base/fail... | Chef1991/LoginLogs | run_week.sh | Shell | gpl-2.0 | 805 |
#!/bin/bash
# Add MEGAN
# Add bbnorm
# Add Velvet
# Add Spades
# blast after partitioning and after inflating
path="/scratch/at120/virome-pipeline/lhmp"
fastq="lhmp"
cd $path
r
#########################################
############### Functions ###############
#########################################
run_idba (){... | ghedin-lab/virome-analysis | virome-assembly.sh | Shell | gpl-2.0 | 11,670 |
#!/bin/bash
cp arch/x86/configs/nextbook_defconfig arch/x86/configs/baytrail_defconfig
sed -i 's|CONFIG_ACPI_CUSTOM_DSDT_FILE="/home/zefie/dsdt.hex"|# CONFIG_ACPI_CUSTOM_DSDT_FILE is not set|' arch/x86/configs/baytrail_defconfig
sed -i 's|CONFIG_ACPI_CUSTOM_DSDT=y|# CONFIG_ACPI_CUSTOM_DSDT is not set|' arch/x86/configs... | zefie/nxt_andx86_kernel | scripts/z_bytdefcfg.sh | Shell | gpl-2.0 | 549 |
#!/bin/bash
echo "------------------------\nRunning wsdl2h\n------------------------"
wsdl2h test.wsdl
echo "------------------------\nRunning soapcpp2\n------------------------"
soapcpp2 -i -I/usr/share/gsoap/import test.h
| adamobrusnik/wspoc | generate.sh | Shell | gpl-2.0 | 225 |
#! /bin/sh
#BEGIN DEPEND------------------------------------------------------------------
INPUT_MODULES='src/lib/perl5/COD/CIF/Data/CODFlags.pm'
#END DEPEND--------------------------------------------------------------------
perl <<'END_SCRIPT'
#-----------------------------------------------------------------------... | sauliusg/cod-tools | tests/shtests/has_issue_severity_value_004.sh | Shell | gpl-2.0 | 1,206 |
#! /usr/bin/env bash
#
# Copyright (C) 2013-2015 Zhang Rui <bbcallen@gmail.com>
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless ... | techery/ijkplayer | init-android.sh | Shell | gpl-2.0 | 1,336 |
#! /bin/bash
##### -------------------------------------
# pick first available framebuffer device
# change for your needs here!
export fb_device=$(ls -1 /dev/fb*|head -1)
##### -------------------------------------
##### -------------------------------------
export FB_WIDTH=640
export FB_HEIGHT=480
if [ "$IS_ON""x"... | zoff99/ToxBlinkenwall | toxblinkenwall/scripts/vars.sh | Shell | gpl-2.0 | 2,250 |
#!/bin/sh
#
# Copyright (C) 2009-2011 OpenWrt.org
#
AR71XX_BOARD_NAME=
AR71XX_MODEL=
ar71xx_get_mtd_offset_size_format() {
local mtd="$1"
local offset="$2"
local size="$3"
local format="$4"
local dev
dev=$(find_mtd_part $mtd)
[ -z "$dev" ] && return
dd if=$dev bs=1 skip=$offset count=$size 2>/dev/null | hex... | dvlemplgk/source | target/linux/ar71xx/base-files/lib/ar71xx.sh | Shell | gpl-2.0 | 20,216 |
gcc -Wall -fomit-frame-pointer -O2 -DALLEGRO_STATICLINK -Ial4include -static -c -o csp2sgz.o csp2sgz.c
gcc -s -o csp2sgz csp2sgz.o -lz liballegro-4.4.2-static-mt.a -lwinmm -lshlwapi -lpsapi -lopengl32 -lgdi32 -lsupc++ -lole32 -lgdiplus -luuid -lcomdlg32 lib*.a
| bitfixer/bitfixer | dg/z88dk/support/sprites/mk-csp2sgz-mingw32.sh | Shell | gpl-2.0 | 273 |
#!/usr/bin/env bash
set -o errexit -o nounset -o pipefail
echo "Delete-Service-RID,Real,User,Sys"
for i in $(seq "${1}" "${2}")
do
RID="dcos:adminrouter:service:service-bench-${i}"
echo -n "${RID},"
(/usr/bin/time -f "%e,%U,%S" \
curl -skSL \
-X DELETE \
-H "Content-Type: applicati... | vishnu2kmohan/dcos-toolbox | bouncer/bench-delete-service-acls.sh | Shell | gpl-3.0 | 810 |
#!/bin/bash
# Copyright 2015-2021 Gilbert Standen
# This file is part of Orabuntu-LXC.
# Orabuntu-LXC is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (... | gstanden/orabuntu-lxc | orabuntu/orabuntu-services-1.sh | Shell | gpl-3.0 | 172,879 |
#!/usr/bin/env bash
cd /root
rm -f /home/xtreamcodes/iptv_xtream_codes/wwwdir/xmltv/guide.xml
cat > /home/xtreamcodes/iptv_xtream_codes/wwwdir/xmltv/guide.xml <<EOF
<?xml version="1.0" encoding="UTF-8"?>
<tv generator-info-name="WebGrab+Plus/w MDB & REX Postprocess -- version V2.1 -- Jan van Straaten" generator-in... | andykimpe/euroiptv-epg-fr | gen2.sh | Shell | gpl-3.0 | 5,280 |
#!/bin/bash
echo "Looking for py$1 environment"
(source activate py$1 2>/dev/null && echo "Environment found" && python setup.py bdist_wheel --plat-name $2 && source deactivate) || (echo "Environment py$1 not found, creating" && conda create -y --name py$1 python=$1 numpy cython && source activate py$1 && python setup... | ChileanVirtualObservatory/pycupid | build_wheel.sh | Shell | gpl-3.0 | 644 |
# Make sure mtab in the chroot reflects the currently mounted partitions.
update_mtab() {
[ "$ROOT" ] || return 0
[ ! -h "$ROOT/etc/mtab" ] || return 0
mtab=$ROOT/etc/mtab
grep "$ROOT" /proc/mounts | (
while read devpath mountpoint fstype options n1 n2 ; do
devpath=`mapdevfs $devpath || echo $devpath`
mountp... | Alberto-Beralix/Beralix | i386-squashfs-root/usr/share/grub-installer/functions.sh | Shell | gpl-3.0 | 649 |
#!/bin/bash
. ../SharedLib
# TODO: DISABLE IPV6, choose port/tcp,udp, harden...
ScriptDir="$( cd "$( dirname "$BASH_SOURCE[0]}" )" && pwd )"
if [[ $EUID -ne 0 ]]; then
EchoRed "This script must be run as root"
exit 1
fi
EnableKeysSharing(){
EchoBold -n "Starting sshd"
systemctl start ssh.service
Status
EchoB... | DannyIkard/RaspbianPi3 | OpenVPN/openvpn.sh | Shell | gpl-3.0 | 10,471 |
#!/bin/sh -ex
export PATH="$HOME/local/pebble/arm-cs-tools/bin:$HOME/local/pebble/PebbleSDK-3.6/bin:$PATH"
BASEDIR=$(dirname `readlink -f $0`)
# Requirements
which blender # > 2.74
which gimp # >= 2.8
which pebble # >= 3.6 SDK
which arm-none-eabi-gcc # Pebble arm cs tools
cd "${BASEDIR}"
# Rendering & processing im... | rabits/flux-capacitor | build.sh | Shell | gpl-3.0 | 1,077 |
#!/bin/bash
#PBS -N plsorgp_benchmark
#PBS -l select=1:ncpus=8:mem=1gb:scratch_local=100mb
#PBS -l place=excl
#PBS -l matlab=1
#PBS -l matlab_Optimization_Toolbox=1
#PBS -l matlab_Statistics_Toolbox=1
#PBS -l walltime=2:00:00
#PBS -j oe
#PBS -m e
DATADIR="$PBS_O_WORKDIR"
LOGDIR=$DATADIR/logs
if [ ! -d $LOGDIR ]; then... | repjak/plsorgp | metacentrum_task.sh | Shell | gpl-3.0 | 603 |
#!/bin/sh
#
# This file is protected by Copyright. Please refer to the COPYRIGHT file
# distributed with this source distribution.
#
# This file is part of GNUHAWK.
#
# GNUHAWK is free software: you can redistribute it and/or modify is under the
# terms of the GNU General Public License as published by the Free Sof... | RedhawkSDR/integration-gnuhawk | components/deinterleave_ii_1o/build.sh | Shell | gpl-3.0 | 1,581 |
#!/bin/bash -e
# v1.0 higuita@gmx.net 2019/08/24
# v1.1 higuita@gmx.net 2019/10/24
# License GPL V3
# as the Vodafone tvguide site used in the previous script was disabled,
# lets try to use the app webservice as a quick workaround.
# As it require query for eash channel and parse each egp, its much slower
# will try ... | higuita/vodafone.pt-xmltv | shell/tv_grab_pt_vdf2.sh | Shell | gpl-3.0 | 3,542 |
#! /bin/bash
# ce script va créer les vues matérialisées
echo "--------------------------------------------------------------"
echo " Création des vues matérialisées"
echo "--------------------------------------------------------------"
echo ""
if [ "$uniqueDB" = True ] ; then
replaceAndLaunch sql/vues/Commune.... | georchestra/cadastrapp | database/create_views.sh | Shell | gpl-3.0 | 1,829 |
#!/bin/sh
var=date
var1=`date`
echo $var
echo $var1
| varundevops/101102 | backquotes.sh | Shell | gpl-3.0 | 54 |
#*** Global variables ***
prep_exe=../bin/prepText
exe=../bin/reNet
tmpdir=temp
csvdir=csv
logdir=log
outdir=out
lddir=large-data
if [ ! -e $tmpdir ]; then mkdir $tmpdir; fi
if [ ! -e $csvdir ]; then mkdir $csvdir; fi
if [ ! -e $logdir ]; then mkdir $logdir; fi
if [ ! -e $outdir ]; then mkdir... | riejohnson/ConText | examples/sh-common.sh | Shell | gpl-3.0 | 3,556 |
#!@SHELL@
#
# $Id: t_gfz2ropp.sh 3551 2013-02-25 09:51:28Z idculv $
#
#****s* Tools/t_gfz2ropp *
#
# NAME
# t_gfz2ropp - Test the gfz2ropp program.
#
# SYNOPSIS
# t_gfz2ropp
#
# USES
# gfz2ropp
# ncdump
#
# DESCRIPTION
# This shell script tests ROPP functionality by performing a
# conversion using the... | MengbinZhu/pfldp | ropp-7.0/ropp_io/tests/t_gfz2ropp.sh | Shell | gpl-3.0 | 4,077 |
#!/bin/bash
cd /home/guignomes/Documents/Travail/Project/yt-reader
python3 yt_reader.py 2> /dev/null
| GuillaumeMilan/yt-reader | player.sh | Shell | gpl-3.0 | 101 |
#!/bin/bash
#Fermath Project: compile.sh
#This script compiles Fermath and fermath_database
echo 'Compiling fermath_gfx 64 bits'
g++ main.cpp -o fermath_gfx64 -O2 -Wall `pkg-config --libs --cflags gtk+-2.0`
echo 'Compiling fermath_gfx 32 bits'
g++ main.cpp -o fermath_gfx32 -O2 -m32 -Wall `pkg-config --libs --cflags gtk... | fermathproject/fermath | src/compile.sh | Shell | gpl-3.0 | 530 |
. ../build/init.sh
echo " * $WORKING_FOLDER"
# update
cp $WORKING_FOLDER/dev_spider.log ref_dev_validator.log
cp $WORKING_FOLDER/deploy.log ref_deploy.log
cp $WORKING_FOLDER/source_files_list.log ref_source_files_list.log
| doctorBobApplications/website | build/update_ref.sh | Shell | gpl-3.0 | 234 |
#!/bin/sh
echo Receive from $SRC_IP
until ./gstreamer-rtp-h264-gdp/receive.sh; do
echo Restarting in 3 seconds
sleep 3
done
| hsolg/PiToPiVideo | start-receiving.sh | Shell | gpl-3.0 | 134 |
#!/bin/bash
# nonlinear viscoelastic relaxation (power exponent n=3)
# following slip on a strike-slip fault
#
# output every two computational steps (Dt = -2).
# The time step is computed automatically and the value unchanged (scale = 1)
#
# to visualize coseismic deformation (requires GRD output, or manual conversi... | geodynamics/relax | examples/tutorials/run2.sh | Shell | gpl-3.0 | 3,461 |
#!/bin/bash
export CFLAGS="-m32"
export CXXFLAGS="-m32"
eval $* | x6herbius/afterburner | build-util/env-build32.sh | Shell | gpl-3.0 | 65 |
#!/bin/bash
if [ $# -lt 2 ]; then
echo Format:
echo
echo $0 Directory GalRange
exit
fi
out=SkyMaps/${1}/SkyMap_OutFile${1}
ctioga2 --name ${1}_${2} --ylog \
-c blue ${out}_128_${2}.txt@5:6 \
-c green ${out}_128_${2}smoothed.txt@5:6 \
-c red ${out}_128_NoGalMap.txt@5:6 \
--line-style dashes ... | UBC-Astrophysics/ObsPlan | dirplot.sh | Shell | gpl-3.0 | 640 |
#!/bin/sh
#author :Ricardo de Souza Maia
#license :GPLv3
#version :$Id
#encoding :UTF-8
function user_exists(){
if id -u $1 >/dev/null 2>&1; then
return 0
else
return 1
fi
}
function check_root()
{
if [ $(whoami) != "root" ]
then
echo ... | google-code/apache-isolated-instances | global_funcions.sh | Shell | gpl-3.0 | 1,955 |
#!/bin/bash
#
# Updates lighttpd config settings and restarts the service
# @author billz
# license: GNU General Public License v3.0
# Exit on error
set -o errexit
# Exit on error inside functions
set -o errtrace
# Turn on traces, disabled by default
#set -o xtrace
server_port=$1
server_bind=$2
lighttpd_conf=$3
host=... | billz/raspap-webgui | installers/configport.sh | Shell | gpl-3.0 | 1,374 |
#!/bin/bash
python RunBootstrap.py --paralog1 YNL301C --paralog2 YOL120C --bootnum 73 > YNL301C_YOL120C_Boot73_PrintScreen.txt
| xjw1001001/IGCexpansion | Bootstrap/ShFiles/MG94_YNL301C_YOL120C_Boot73.sh | Shell | gpl-3.0 | 128 |
#!/bin/bash
function execute() {
msg "Initializing cleanup.."
local IMAGES=( $(find images -maxdepth 1 -type d -printf '%P\n') )
local CONTAINER_PREFIX=${VDOCKR_CONTAINER_PREFIX}-${PROJECT}-${PROJECT_INSTANCE}
for IMAGE in "${IMAGES[@]}"; do
if [[ "$(docker images -q ${CONTAINER_PREFIX}-${IMAGE} 2> /dev/... | vzsigmond/vdockr | core/actions/project/remove.sh | Shell | gpl-3.0 | 1,979 |
# Remove firmware update backup
rm -r /boot.bak
# Remove backups
rm /var/backups/*.gz
# Remove caches
rm /var/cache/debconf/*.dat-old
apt-get clean
# Remove old logs
rm /var/log/*.gz
rm /var/log/apache2/*.gz
rm /var/log/apt/*.gz
rm /var/log/icecast2/*.gz
rm /var/log/mpd/*.gz
rm /var/log/samba/*.*
sync
| pkali/piradio-mini | html/scripts/clear_caches.sh | Shell | gpl-3.0 | 306 |
cmd_new(){
# _repo=`kvget repo`
# _repo_url=`kvget repo_url`
# _dest=`kvget dest`
# echo "cloning $_repo_url"
url=`kvget target`
out=`kvget output`
if [ -n $out ]; then
git clone $url $out
else
git clone $url
fi
# git clone --origin $_repo $_repo_url $_dest
... | proc0/g | src/cmd/new.sh | Shell | gpl-3.0 | 753 |
#!/bin/bash
folder=.wikipedia_cache
n=`ls -1 $folder/* | wc -l | cut -d' ' -f1`
echo $n files cached removed
rm -rf $folder
| rubenIzquierdo/wikipediaEnquirerPy | clean_cache.sh | Shell | gpl-3.0 | 125 |
#!/bin/sh
tx pull -f -a --minimum-perc=60
#tx pull -f -a
cd po
rm LINGUAS
for i in *.po ; do
echo `echo $i|sed 's/.po$//'` >> LINGUAS
done
sed -i 's/CHARSET/UTF-8/g' *.po
| UbuntuBudgie/budgie-extras | po/update_linguas.sh | Shell | gpl-3.0 | 178 |
#!/usr/bin/env bash
#
# NAME
# install-AudioMod.sh - Install AudioMod Beta 1.7_01
#
# SYNOPSIS
# ./install-AudioMod.sh
#
# DESCRIPTION
# Audio mod.
#
# If your Minecraft directory for some reason is not in your home directory,
# then modify "home" in minecraft-scripts.conf.
#
# BUGS
# https://github.c... | l0b0/minecraft-scripts | install-AudioMod.sh | Shell | gpl-3.0 | 1,257 |
#!/bin/bash
sudo mn -c
for i in 0.25 0.5 0.75 1.0; do
python jellyfish.py -t jf -r ksp -dir link_results -nse 16 -nsw 20 -np 4 -e l -p $i
python jellyfish.py -t jf -r ecmp -dir link_results -nse 16 -nsw 20 -np 4 -e l -p $i
python plot_links.py -dir link_results -o result-$i.png -p $i
done
for f in 1 2 8;... | XianliangJ/collections | Jellyfish/run.sh | Shell | gpl-3.0 | 779 |
#!/usr/bin/env bash
# This file is part of The RetroPie Project
#
# The RetroPie Project is the legal property of its developers, whose names are
# too numerous to list here. Please refer to the COPYRIGHT.md file distributed with this source.
#
# See the LICENSE.md file at the top-level directory of this distribution ... | superjamie/RetroPie-Setup | scriptmodules/emulators/frotz.sh | Shell | gpl-3.0 | 1,727 |
#!/bin/sh
# Copyright (c) 2012 Google Inc. All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
# * Redistributions of source code must retain the above copyright
# notice, this list of condition... | cs-au-dk/Artemis | WebKit/Tools/EWSTools/start-queue.sh | Shell | gpl-3.0 | 3,131 |
f=../Data/abf_lanGrid0.colvars.traj
#awk '!/^#/ && NF>4 && $1%1000==0 {print $1,$2}' $f > traj.dat
out=thermostat0.colvars.traj
echo "#step PosZ fs_PosZ fa_PosZ" > $out
awk '!/^#/ && NF>4 && $1%1000==0 && $1<1e7 {print $1,$2,$3,$5}' $f >> $out
out=thermostat1.colvars.traj
echo "#... | jeffcomer/DiffusionFusion | Examples/Simple/extractData.sh | Shell | gpl-3.0 | 471 |
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.
INIT_SPEC="version"
WORKSPACE_HOME=""
if [ -n "$SUDO_USER" ]; then
WORKSPACE_HOME="`getent passwd $SUDO_USER | cut -... | project-rootbox/rootbox | lib/rootbox/init.sh | Shell | mpl-2.0 | 1,791 |
#!/bin/bash
## Would be nice to add this to a makefile instead
cwd=${PWD}
function build-release {
cd "$cwd"
mkdir -p build/release
cd build/release
cmake -DCMAKE_BUILD_TYPE=Release ../../ && make
cd "$cwd"
}
function run-release {
cd "$cwd"
cd build/release
./blackjack
cd "$cwd"
}
# Build Releas... | hallzy/blackjack | run-script.sh | Shell | mpl-2.0 | 1,242 |
#!/bin/sh
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements. See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you m... | mil-oss/fgsms | fgsms-server/fgsms-tomcat/catalina.sh | Shell | mpl-2.0 | 22,101 |
#!/bin/bash
# Clear wtmp
cat /dev/null > /var/log/wtmp
yum clean all
| glauco/openstack-infra-development-box | centos-7/scripts/cleanup.sh | Shell | mpl-2.0 | 71 |
#!/bin/bash
set -e -u -o pipefail;
# Feature: docker.io
# Given docker command
if ! command -v docker >/dev/null 2>&1; then
printf "\e[1;31mdocker: FAIL\n\e[0m"
exit
fi
# When I run "docker version" command
if ! docker version >/dev/null 2>&1; then
printf "\e[1;31mdocker version: FAIL\n\e[0m"
exit
fi
#... | wilas/vbkick-templates-forge | Boot2Docker/validate/test_docker.sh | Shell | mpl-2.0 | 378 |
#!/bin/bash
cd $(dirname $0)/../../../
version="1.7.5"
# Set BISQ_DIR as environment var to the path of your locally synced Bisq data directory e.g. BISQ_DIR=~/Library/Application\ Support/Bisq
dbDir=$BISQ_DIR/btc_mainnet/db
resDir=p2p/src/main/resources
# Only commit new TradeStatistics3Store if you plan to add i... | bisq-network/exchange | desktop/package/macosx/copy_dbs.sh | Shell | agpl-3.0 | 1,025 |
#!/usr/bin/bash-tutor
# this file should get executed by bash-tutor!
# don't run this in any random directory! these commands actually run!
# you might end up chomping or deleting existing files.
# clean up any previous execution if it exists
if [ -d fib/ ]; then rm -rf fib/; fi
echo 'This is an example of git and un... | purpleidea/bash-tutor | examples/0.2/gitbisect/runme.sh | Shell | agpl-3.0 | 2,980 |
#!/bin/bash
set -e -x
ROOT=${NACL_TOOLCHAIN_ROOT:-$HOME/root/nacl-sdk}
PATH=$ROOT/bin:$ROOT/x86_64-nacl/usr/bin:$PATH
export SDL_LIBS="-L$ROOT/x86_64-nacl/usr/lib -lSDL -lppapi_cpp -lpthread -lm"
CC=x86_64-nacl-gcc AR=x86_64-nacl-ar RANLIB=x86_64-nacl-ranlib PKG_CONFIG_LIBDIR=$ROOT/x86_64-nacl/usr/lib/pkgconfig \
L... | eugenis/sdl_mixer-nacl | build.sh | Shell | lgpl-2.1 | 504 |
#!/bin/bash
latsym1=$1
a1=$2
b1=$3
c1=$4
alpha1=$5
beta1=$6
gamma1=$7
shift 7
latsym2=$1
a2=$2
b2=$3
c2=$4
alpha2=$5
beta2=$6
gamma2=$7
s6dist_val=`./s6dist_app $latsym1 $a1 $b1 $c1 $alpha1 $beta1 $gamma1 $latsym2 $a2 $b2 $c2 $alpha2 $beta2 $gamma2 | tail -1`
cs6dist_val=`./cs6dist_app $latsym1 $a1 $b1 $c1 $alpha1 $bet... | yayahjb/ncdist | dist_test.bash | Shell | lgpl-2.1 | 1,205 |
#!/bin/bash -xe
#
# This script automates the build process described by webrtc:
# https://code.google.com/p/webrtc/source/browse/trunk/talk/app/webrtc/objc/README
#
PWD=`pwd`
ROOT=$PWD
if [ -z "${WEBRTC_BRANCH}" ]; then
WEBRTC_BRANCH=38
fi
WEBRTC_ROOT=$ROOT/trunk
if [ -z $WEBRTC_REVISION ]; then
export SYNC_... | Nitrillo/webrtc-build-scripts | iossim/build-iossim.sh | Shell | unlicense | 3,017 |
#!/bin/bash
#
# Copyright 2015 Radium226
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to i... | radium226/maven-github-wagon | src/test/run.sh | Shell | apache-2.0 | 1,098 |
#!/bin/bash
# Copyright 2014 The Kubernetes Authors All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless require... | dumplingtech/devenv | install/cert/make-ca-cert.sh | Shell | apache-2.0 | 5,112 |
#!/bin/bash
node-red-pi -v --max-old-space-size=128 --settings /root/.node-red/settings.js /root/.node-red/solarem-flows.json
| sofkaski/solarem | node-red/start-node-red.sh | Shell | apache-2.0 | 127 |
#!/bin/bash
snmpget -Os -c private -v2c localhost 1.3.6.1.4.1.1457.4.1.1.3.0
exit 0
| concurrentlabs/laguna | 1.0/src/tcache_agentx/snmp-scripts/trafficCount.sh | Shell | apache-2.0 | 85 |
#/bin/sh
echo ndk-build
ndk-build
echo cp ../libs/armeabi-v7a/libsoundtouch.so ../../../../../../app/src/main/jniLibs/armeabi-v7a/libsoundtouch.so
cp ../libs/armeabi-v7a/libsoundtouch.so ../../../../../../app/src/main/jniLibs/armeabi-v7a/libsoundtouch.so
| pjq/AndroidBPM | library/soundtouchandroid/src/main/java/jni/build.sh | Shell | apache-2.0 | 258 |
#!/bin/bash
rm -rf Output*
rm -rf FindMaxValue.jar
javac -classpath ${HADOOP_PREFIX}/hadoop-core-${HADOOP_VERSION}.jar:${HADOOP_PREFIX}/lib/commons-cli-1.2.jar -d fd_Classes ./*.java
jar -cvf ./FindMaxValue.jar -C fd_Classes/ .
hadoop fs -rmr Input
hadoop fs -mkdir Input
hadoop fs -copyFromLocal data.txt Input
hado... | hustbill/Hadoop-project | findMaxVal/test.sh | Shell | apache-2.0 | 435 |
#! /bin/bash
./cleanup.sh
#declare an array in bash
declare -a instanceARR
mapfile -t instanceARR < <(aws ec2 run-instances --image-id ami-d05e75b8 --count $1 --instance-type t2.micro --key-name $3 --security-group-ids sg-5bba5c3d --subnet-id subnet-b92c7692 --associate-public-ip-address --iam-instance-profile Name=ph... | balrifai/itmo444-launch | launch.sh | Shell | apache-2.0 | 3,269 |
#!/bin/bash
#################################################################################################
##
## Script to setup a bash script to run the entire toil-vg pedigree pipeline.
##
## Inputs:
##
## Assumptions:
## The UDP cohort ID is the same as the UDP ID for the proband sample.
##
## Last modif... | vgteam/toil-vg | scripts/vg_pedigree_scripts/setup_pedigree_script.sh | Shell | apache-2.0 | 15,465 |
#!/bin/bash
#
# Deploy a jar, source jar, and javadoc jar to Sonatype's snapshot repo.
#
# Adapted from https://coderwall.com/p/9b_lfq and
# http://benlimmer.com/2013/12/26/automatically-publish-javadoc-to-gh-pages-with-travis-ci/
SLUG="kunny/RxContextCallback"
JDK="oraclejdk8"
BRANCH="master"
set -e
if [ "$TRAVIS_R... | kunny/RxContextCallback | .buildscript/deploy_snapshot.sh | Shell | apache-2.0 | 1,059 |
#!/bin/bash
# Copyright Yahoo. Licensed under the terms of the Apache 2.0 license. See LICENSE in the project root.
if [ -z "$SOURCE_DIRECTORY" ]; then
SOURCE_DIRECTORY="."
fi
fail=0
. ../../binref/env.sh
STATUS=ok
JAVA_PORT=$PORT_3
CPP_PORT=$PORT_4
export JAVA_PORT
export CPP_PORT
$SOURCE_DIRECTORY/../../bin... | vespa-engine/vespa | jrt_test/src/tests/rpc-error/dotest.sh | Shell | apache-2.0 | 1,255 |
#!/bin/bash
find . -mindepth 2 -and -name '.git' | sort | (
while read line; do
DIR=$(echo "$line" | sed -e 's/^\.\/\(.*\)\/\.git$/\1/g')
echo "[submodule \"$DIR\"]"
printf "\tpath = $DIR\n"
URL=$(cat "$line/config" | grep "url =")
echo "$URL"
done)
| fqj1994/dotfiles | submodules.sh | Shell | apache-2.0 | 255 |
#!/bin/bash -e
# -----------------------------------------------------------------------------
#
# Package : mongodb-driver-sync
# Version : 3.9.0, 3.9.1
# Source repo : https://github.com/mongodb/mongo-java-driver.git
# Tested on : ubuntu_18.04 (Docker)
# Language : Java
# Travis-Check : True
# Sc... | ppc64le/build-scripts | m/MongoDB-driver-sync/mongodb-driver-sync_3.9.0_3.9.1_ubuntu_18.04.sh | Shell | apache-2.0 | 3,319 |
#!/bin/bash
# Copyright 2016 Nitor Creations Oy
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or ag... | NitorCreations/aws-utils | usr/bin/volume-from-snapshot.sh | Shell | apache-2.0 | 1,916 |
#!/bin/bash
if [ -z "$*" ]; then
echo "no arguments supplied"
exit 1
fi
for camera in 'find $1 -mindepth 1 -maxdepth 1 -type d'
do
cd $camera
make clean uninstall
make
done
| nickbattam/picamon | camera/simulator/scripts/makeAll.sh | Shell | apache-2.0 | 193 |
#!/bin/bash
LIBPFX=real_
ADB=`which adb`
if [ -z "$ADB" ]; then
echo "Can't find adb in your path!"
exit 1
fi
libdir="$1"
destroot="${2:-/data/cells/trace/system/lib}"
if [ -z "$libdir" -o ! -d "$libdir" ]; then
echo ""
echo "usage: $0 /path/to/libdir [/dest/root]"
echo ""
exit 1
fi
IS_NDK=
if [ -f "${libdir... | columbia/libtrack | libtrack/scripts/install_android.sh | Shell | apache-2.0 | 2,892 |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.